summaryrefslogtreecommitdiff
path: root/local/bin/yardle-cache-analyse
diff options
context:
space:
mode:
Diffstat (limited to 'local/bin/yardle-cache-analyse')
-rwxr-xr-xlocal/bin/yardle-cache-analyse11
1 files changed, 11 insertions, 0 deletions
diff --git a/local/bin/yardle-cache-analyse b/local/bin/yardle-cache-analyse
new file mode 100755
index 0000000..9ec3eb4
--- /dev/null
+++ b/local/bin/yardle-cache-analyse
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+if [ -z $1 ]; then
+ echo Usage: $0 '<cache_dir>'
+ exit 1
+fi
+
+ls -1 $1 | while read -r file ; do
+ ts=$(head -n 1 $1/$file)
+ echo Created $(date --date=@$ts), $file
+done